Bug 16127 - Add discharge menu item to patron toolbar
Summary: Add discharge menu item to patron toolbar
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 8007
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-22 18:31 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16127 - Add discharge menu item to patron toolbar (2.90 KB, patch)
2016-05-31 14:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16127 - Add discharge menu item to patron toolbar (3.00 KB, patch)
2016-05-31 15:22 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16127 - Add discharge menu item to patron toolbar (3.06 KB, patch)
2016-06-12 11:33 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-22 18:31:23 UTC
The patron discharge feature added a "Discharge" tab in the left-hand sidebar menu. I think if we follow views vs. actions guideline (https://wiki.koha-community.org/wiki/Interface_patterns#Views_and_Actions), the link in the sidebar should say "Discharges" (as in view the patron's list of discharges) and there should be menu item in the toolbar (members-toolbar.inc) for the action of discharging the patron. I think this should be added to the "More" drop-down menu.
Comment 1 Owen Leonard 2016-05-31 14:14:59 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-05-31 15:22:45 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-12 11:33:49 UTC
Created attachment 52285 [details] [review]
Bug 16127 - Add discharge menu item to patron toolbar

This patch changes the "Discharge" menu in the patron sidebar to read
"Discharges," and adds a "Discharge" menu item to the patron toolbar.

This adds some redunancy, but fits with the pattern of including "views"
in the sidebar and "actions" in the menu. The discharge feature can be
thought of either way.

To test you must have the 'useDischarge' system preference enabled.

- View the detail page for any patron.
- Confirm that the sidebar menu reads "Discharges."
- Confirm that the "More" menu contains a "Discharge" link which works
  correctly.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-06-17 15:22:46 UTC
Pushed to master for Koha 16.11, thanks Owen!
Comment 5 Frédéric Demians 2016-06-24 05:47:11 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 6 Julian Maurice 2016-07-01 07:11:48 UTC
Patch pushed to 3.22.x, will be in 3.22.9